#############################################################################
		IMB-H420-MB (SAX4)AMI APTIO BIOS
#############################################################################
Mainboard	: IMB-H420-MB (SAX4)
Chipset		: CometLake-S(U-DIMM) + F81966 +F81216 + ENE EC KB9068 + I225x2 + ALC662
=============================================================================
=============================================================================
CPU Microcode : 
COMETLAKE:M22A0653_00000100.pdb
RocketLake:M02A0671_00000065.pdb
=============================================================================
=============================================================================
VSCC Table:
W25R256JW   0xEF6019
W25R256JV   0xEF4019
W25Q256JV   0xEF7019
MX25L25645G 0xC22019
MX25U25643G 0xC22539

************************************************************************************************
Note:
1. No support DOS.
=============================================================================
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAX4AR14 (Base on SAX4AR13)	 (EC:SAX4NR13)      NO.M2025100311
Date		: 2026/1/8
CheckSum	:  AEA1h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Miaomiao
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        :YES

Action		: 
1.Update Audio table for remove line in 
2.Update Microcode  from 385 to the latest Version 463
3.Hide OKR2 string in logo page
4.Show DVMT Pre-Allocated bios item
5.Disabled Text Mode Mouse function,fix some Display No Power hang99/B4 issue
6.Add [Read Pcie Link Width] function by OS APP setting  
7.Modify SMBIOS Type17 show memory message mistake
8.Show ME OVERRIDE item
9.Modify SMBIOS message
10..Modify BIOS item default follow Rule
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAX4AR13 (Base on SAX4AR12)	 (EC:SAX4NR12)    
Date		: 2023/12/18
CheckSum	:  6D98h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :XinLin
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : YES
Action		: 
1.Update BIOS Setup background
2.Fixed Auto load default function fail
3.modify BIOS options follow BIOS rules
4.Update module follow IEI module
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAX4AR12 (Base on SAX4AR11)	 (EC:SAX4NR12)    
Date		: 2023/11/10
CheckSum	:  AFAEh
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :XinLin
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : YES
Action		: 
1.Fix keyboard and mouse focus items are different in listbox
2.Fix ISMM WDT reload Timer function fail issue 
3.Fixed When have Password and Enabled Console together ,will hang after scan password 
4.Modify USB2.0&3.0 Signal for HW
5.support OKR2 function
6.path Can't Modify Auto Recover Some default in BIOS
7.Modify BIOS some strings for BIOS rules
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAX4AR11 (Base on SAX4AR10)	 (EC:SAX4NR11)    
Date		: 2023/07/21
CheckSum	:  D9ECh
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :XinLin
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : YES
Action		: 
1.Fixed will blurred screen in Setup
2.Modify Some strings for rules
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAX4AR10 (Base on SAX4AR02 )	 (EC:SAX4NR10)    
Date		: 2023/05/31
CheckSum	:  0916h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :XinLin
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : YES
Action		: 
1.modify USB power SW follow HW design
2.Fixed TPM can not load default by F3.
3.Support BIOS auto load default by OS APP setting
4.Modify the eye diagram signal to fix USB port have no function probabilistically
5.Modify Some strings for rules
6.Support case open beep function follow HW design
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAX4AR02 (Base on SAX4AR01 )	 (EC:SAX4NR01)    
Date		: 2023/03/09
CheckSum	:  7020h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :XinLin
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : YES
Action		: 
1.Disabled IAMT function follow HW design
2.Modify Some strings for rules
3.Fixed will lose Mouse when plug DP/VGA/DVI in setup
4.Update Microcode to lastest for rules
5Change SPI clock for HW designed
6.Support USB OC function
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAX4AR01 (Base on SAO8AR17)	 (EC:SAX4NR01)    
Date		: 2023/02/22
CheckSum	:  A0D2h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :XinLin
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : YES
Action		: 
1.First Release
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR17 (Base on SAO8AR16)	 (EC:SAO8NR12)    
Date		: 2022/10/12
CheckSum	:  EFB9h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Support MEoverride function
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR16  (Base on SAO8AR15)	 (EC:SAO8NR11)    
Date		: 2022/10/11
CheckSum	:  7A3Dh
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Fixed some CPU(I7-11700K/I9-11900K..) can't show PL1/PL2
2.Support Case_Open Function
3.Fixed disabled all boot options still can boot into os
4.Update Microcode from 311->360(Version:40->56) for Rules
5.Add COM port6 only support 422/485 mode string;
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR15  (Base on SAO8AR14)	 (EC:SAO8NR11)    
Date		: 2022/08/23
CheckSum	:  BDA7h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Support VGA can to Disabled in Setup
2.Fixed LAN disappear under Device Manager under OS after ban/pick device
3.Fixed on board HDMI/DP can not display under setup use when 11th CPU but 10th is fine
4.Fixed display function abnormal after enter setup without connect monitor
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR14  (Base on SAO8AR13)	 (EC:SAO8NR11)    
Date		: 2022/04/25
CheckSum	:  B4D8h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Fixed the CPU core will be High load 
2.Fixed Raid Function issue
3.Fixed will reboot after shut down when plug Pcie card
4.Fixed M.2 A key WIFI Card-intel 9260 NGW(&Bluetooth) maybe hang 0xB4
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR13  (Base on SAO8AR12)	 (EC:SAO8NR10)    
Date		: 2022/04/12
CheckSum	:  5227h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Fixed it will blue screen when plug pci card
2.Fixed Pcie-USB card maybe can't be found
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR12  (Base on SAO8AR11)	 (EC:SAO8NR10)    
Date		: 2022/03/30
CheckSum	:  3AA1h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Fixed some board can't power on 
2.Add VSCC Table for rules
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR11  (Base on SAO8AR10)	 (EC:SAO8NR10)    
Date		: 2022/03/21
CheckSum	:  9D7Ah
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Fixed it exists long beep when plugged USB Boot devices
2.Show the vt-d for rules
3.Modify DMI edit information for rules
4.Modify the SYS_fan2 Speed to SYS_fan1 Speed
5.Modify and hide some setup configuration for spec 3.0
6.Fixed when set Admin password only, can enter Setup by 'Enter' 
7.Support the Displayed hotplug(10th cpu)
8.Fixed the EIST function failed
9.Show the turbo mode for bios rules
10.support the j_cmos can't clear time
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR10  (Base on SAO8AR09)	 (EC:SAO8NR10)    
Date		: 2022/01/05
CheckSum	:  8879h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.First Release
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR09  (Base on SAO8AR08)	 (EC:SAO8NR02)    
Date		: 2022/01/05
CheckSum	:  83C6h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Modify S3 wake will tap the mouse twice to wake up
2.Support UEFI PXE function
3.Remove the VGA Enabled/Disabled function
4.Disabled the IAMT Function(no support)
5.Fixed when plug graphic card and Pcie M.2 ssd,will reboot
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR08  (Base on SAO8AR07)	 (EC:SAO8NR02)    
Date		: 2021/12/03
CheckSum	:  69CBh
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Support the COM5 422&485 Function
2.Support the new BIOS UI
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR07  (Base on SAO8AR06)	 (EC:SAO8NR02)    
Date		: 2021/11/26
CheckSum	:  6B8Ah
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Modify the USB2.0 signal for HW
2.Modify the SATA&M.2 port signal for HW
3.Support VGA Enabled/Disabled function
4.Fixed the HDMI can't to 4K
5.Enabled the SecureBoot_Support for setting Win11
6.Disabled the PS2 for HW
------------------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR06  (Base on SAO8AR05)	 (EC:SAO8NR00)    
Date		: 2021/7/28
CheckSum	:  E753h
AMI Code Version    : 5.17_1AXKW_RC9.1.24.40_018
BIOS owner              :Yongchuan
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Update the lastest CRB code for 11th CPU
2.Update BIOS for HW update v1.01
------------------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR05  (Base on SAO8AR04)	 (EC:SAO8ER03)    
Date		: 2021/4/28
CheckSum	:  D460h
AMI Code Version    : 1AWDV039 
BIOS owner              :Miaomiao
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Fixed Year will run to 2100 after 12/31/2099 23:59:59.
2.Avoid RTC date/time is cleared to the default value when push RTC clear button.
3.Enable Fpf / TxtSupported;
4.Disable IAMT  funciton;
5.Fix EIST disabled function failed under WIN10 x64 issue
6.show  some  item follow bios rule;
7.set logo resoution 1920X1080;
8.support raid  function;
9.Fixed press enter key can into setup without password after set password;
------------------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR04  (Base on SAO8AR03)	 (EC:SAO8ET02)    
Date		: 2021/2/24
CheckSum	: 62D7h
AMI Code Version    : 1AWDV039 
BIOS owner              :Miaomiao
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.set USB port 3/4/5/6  speed gen1 for HW;;
2.fix sound 7 beep when absent memory;
3.Fixed show logo when no boot device to boot;

------------------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR03   (Base on SAO8AR02)	 (EC:SAO8ER01)    
Date		: 2021/1/25
CheckSum	: D1ABh
AMI Code Version    : 1AWDV039 
BIOS owner              :Miaomiao
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Fixed ASHHotkey function test failed;
2.Support UEFI PXE function;
3.Fix USB KB/MS can't wake S3 issue;
4.Hide Video item according to BIOS spec;
5.fix PCI Slot2 /Slot3 plugged PCI card cause win10 OS BSOD  when  PCI Slot1 no device .
6.Modify some item string;
------------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR02    (Base on SAO8AR01)	 (EC:SAO8ER01)    
Date		: 2020/11/13
CheckSum	: AF08h
AMI Code Version    : 1AWDV039 
BIOS owner              : Emily Jiang
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : No
Action		: 
1.Support SATA LED function
2.Fix PS2 MS have no function
3.Fix PS2 KB/MS can't wake S3 issue
4.Support COM5 RS232/422/485 function
------------------------------------------------------------------------------------------------------------------------------------
Version		: SAO8AR01	(EC:SAO8ER01)     NO.2020070001
Date		: 2020/11/06
CheckSum	: 06B8h
AMI Code Version    : 1AWDV039 
BIOS owner              : Emily Jiang
Update BIOS            : EFI
Update ME/TXE        : EFI
ME/TXE change        : Yes
Action		: 
1.First Release
----------------------------------------------------------------------------------------------------------------------------------
